Retrieve all cases.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/support/cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/support/cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/support/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SubmittedDateTime": "string",
"LastActivity": "string",
"FromPerson": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [],
"DealPeople": [],
"LeadFormSubmissions": [],
"Account": {},
"AccountUids": "string",
"EmailListPerson": [],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {},
"IsConnectedToDiscord": false
},
"AssignedToPersonClientIdentifier": "string",
"Subject": "string",
"Body": "string",
"UserAgent": "string",
"Status": 1,
"Source": 1,
"CaseHistories": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"HistoryDateTime": "string",
"Case": {},
"AgentName": "string",
"Comment": "string",
"Type": 1,
"SeenDateTime": "string",
"ClickDateTime": "string",
"UniqueIdentifier": "string",
"PersonEmail": "string",
"NewUvi": "string"
}
],
"CaseTags": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Case": {},
"Tag": {}
}
],
"HasUnread": false,
"IsOnline": false,
"LastCaseHistory": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"HistoryDateTime": "string",
"Case": {},
"AgentName": "string",
"Comment": "string",
"Type": 1,
"SeenDateTime": "string",
"ClickDateTime": "string",
"UniqueIdentifier": "string",
"PersonEmail": "string",
"NewUvi": "string"
},
"Participants": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"Score": 0
}
]Cases
Retrieve all cases.
Optionally filtered by search string, tag, and/or assignment. Assigned cases can be filtered by passing in the AssignedToPersonClientIdentifier, which is the Uid of the person the case is assigned to.
GET
/
api
/
v1
/
support
/
cases
Retrieve all cases.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Response
Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"AddressLine1": "string",
"AddressLine2": "string",
"AddressLine3": "string",
"City": "string",
"State": "string",
"PostalCode": "string",
"Country": "string",
"GeoLocation": "string"
},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"Account": {},
"IsPrimary": false,
"ReceiveInvoices": false,
"Role": 1
}
],
"DealPeople": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"Deal": {}
}
],
"LeadFormSubmissions": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"LeadForm": {},
"RefererURL": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string"
}
],
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"AccountUids": "string",
"EmailListPerson": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"EmailList": {},
"Person": {},
"EmailListSubscriberStatus": 1,
"SubscribedDate": "string",
"ConfirmedDate": "string",
"ConfirmationNotes": "string",
"UnsubscribedDate": "string",
"CleanedDate": "string",
"WelcomeEmailDeliverDateTime": "string",
"WelcomeEmailOpenDateTime": "string",
"UnsubscribeReason": "string",
"UnsubscribeReasonOther": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"SendWelcomeEmail": false,
"Source": "string"
}
],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"DiscordUserId": "string",
"DiscordEmail": "string",
"DiscordUsername": "string",
"DiscordOAuthRefreshToken": "string"
},
"IsConnectedToDiscord": false
}
1 - Open, 2 - Closed
Available options:
1, 2 Required range:
1 <= x <= 21 - Website, 2 - Email, 3 - Facebook, 4 - Twitter, 5 - Chat
Available options:
1, 2, 3, 4, 5 Required range:
1 <= x <= 5Maximum string length:
10Maximum string length:
50Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"HistoryDateTime": "string",
"Case": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SubmittedDateTime": "string",
"LastActivity": "string",
"FromPerson": {},
"AssignedToPersonClientIdentifier": "string",
"Subject": "string",
"Body": "string",
"UserAgent": "string",
"Status": 1,
"Source": 1,
"CaseHistories": [],
"CaseTags": [],
"HasUnread": false,
"IsOnline": false,
"LastCaseHistory": {},
"Participants": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"Score": 0
},
"AgentName": "string",
"Comment": "string",
"Type": 1,
"SeenDateTime": "string",
"ClickDateTime": "string",
"UniqueIdentifier": "string",
"PersonEmail": "string",
"NewUvi": "string"
}
Example:
[
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SubmittedDateTime": "string",
"LastActivity": "string",
"FromPerson": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [],
"DealPeople": [],
"LeadFormSubmissions": [],
"Account": {},
"AccountUids": "string",
"EmailListPerson": [],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {},
"IsConnectedToDiscord": false
},
"AssignedToPersonClientIdentifier": "string",
"Subject": "string",
"Body": "string",
"UserAgent": "string",
"Status": 1,
"Source": 1,
"CaseHistories": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"HistoryDateTime": "string",
"Case": {},
"AgentName": "string",
"Comment": "string",
"Type": 1,
"SeenDateTime": "string",
"ClickDateTime": "string",
"UniqueIdentifier": "string",
"PersonEmail": "string",
"NewUvi": "string"
}
],
"CaseTags": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Case": {},
"Tag": {}
}
],
"HasUnread": false,
"IsOnline": false,
"LastCaseHistory": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"HistoryDateTime": "string",
"Case": {},
"AgentName": "string",
"Comment": "string",
"Type": 1,
"SeenDateTime": "string",
"ClickDateTime": "string",
"UniqueIdentifier": "string",
"PersonEmail": "string",
"NewUvi": "string"
},
"Participants": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"Score": 0
}
]
⌘I